BeanPostProcessorAdapter (Grails 3.2.8)
Date: 2017-03-23

Package: org.grails.spring.beans

## [Java] Class BeanPostProcessorAdapter

- org.grails.spring.beans.BeanPostProcessorAdapter

- All Implemented Interfaces and Traits:
    org.springframework.beans.factory.config.BeanPostProcessor

      public class BeanPostProcessorAdapter
      extends java.lang.Object

  Adapter implementation of org.springframework.beans.factory.config.BeanPostProcessor.

  Authors:
    Steven Devijver
  Since:
    0.2

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `java.lang.Object` | `postProcessAfterInitialization(java.lang.Object bean, java.lang.String beanName)` @param bean
    `` | `java.lang.Object` | `postProcessBeforeInitialization(java.lang.Object bean, java.lang.String beanName)` @param bean

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Method Detail

    - #### public java.lang.Object postProcessAfterInitialization(java.lang.Object bean, java.lang.String beanName)

      throws:
        BeansException
      Parameters:
        bean
        beanName
      Returns:
        The specified bean
      See Also:
        org.springframework.beans.factory.config.BeanPostProcessor#postProcessAfterInitialization(java.lang.Object, java.lang.String)

    - #### public java.lang.Object postProcessBeforeInitialization(java.lang.Object bean, java.lang.String beanName)

      throws:
        BeansException
      Parameters:
        bean
        beanName
      Returns:
        The specified bean
      See Also:
        org.springframework.beans.factory.config.BeanPostProcessor#postProcessBeforeInitialization(java.lang.Object, java.lang.String)